<?php

/*
 * Squelette : squelettes/inc/footer.html
 * Date :      Wed, 19 Mar 2025 12:32:16 GMT
 * Compile :   Mon, 17 Nov 2025 10:30:22 GMT
 * Boucles :   _ab, _image
 */ 

function BOUCLE_abhtml_f1fdf51320483405d940e5c61ec2e8e8(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'articles';
		$command['id'] = '_ab';
		$command['from'] = array('articles' => 'spip_articles');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("articles.titre",
		"articles.texte",
		"articles.lang");
		$command['orderby'] = array();
		$command['where'] = 
			array(
quete_condition_statut('articles.statut','publie,prop,prepa/auteur','publie',''), 
quete_condition_postdates('articles.date',''), 
			array('=', 'articles.id_article', "1"));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+(float)microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/footer.html','html_f1fdf51320483405d940e5c61ec2e8e8','_ab',13,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                            <div class="footer-widget about-widget">
                            	<h2>' .
interdire_scripts(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</h2>
                                <div class="text">' .
interdire_scripts(couper(propre($Pile[$SP]['texte'], $connect, $Pile[0]),'310','...')) .
'</div>
                                
                            </div>
							');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+(float)microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_ab @ squelettes/inc/footer.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_imagehtml_f1fdf51320483405d940e5c61ec2e8e8(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'documents';
		$command['id'] = '_image';
		$command['from'] = array('documents' => 'spip_documents','L1' => 'spip_documents_liens');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("documents.id_document",
		"documents.titre");
		$command['orderby'] = array();
		$command['where'] = 
			array(
quete_condition_statut('documents.statut','publie,prop,prepa','publie',''), 
quete_condition_postdates('documents.date_publication',''), 
			array('IN', 'documents.mode', '(\'image\',\'document\')'), 
			array('(documents.taille > 0 OR documents.distant=\'oui\')'), 
			array('=', 'L1.id_objet', "30"), 
			array('=', 'L1.objet', sql_quote('article')));
		$command['join'] = array('L1' => array('documents','id_document'));
		$command['limit'] = '0,6';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+(float)microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/footer.html','html_f1fdf51320483405d940e5c61ec2e8e8','_image',42,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
                                        <!--Image Box-->
                                        <figure class="image-box">
											<a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_document'], 'document', '', '', true))) .
'" class="lightbox-image" title="' .
interdire_scripts(textebrut(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0]))) .
'" data-fancybox-group="footer-gallery">
											<img src="' .
extraire_attribut(filtrer('image_graver', filtrer('image_recadre',filtrer('image_reduire',vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_document'], 'document', '', '', true))),'100','0'),'100','100')),'src') .
'" alt="' .
interdire_scripts(textebrut(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0]))) .
'"></a></figure>
                                        <!--Image Box-->
										');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+(float)microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_image @ squelettes/inc/footer.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette squelettes/inc/footer.html
// Temps de compilation total: 11.282 ms
//

function html_f1fdf51320483405d940e5c61ec2e8e8($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'<footer class="main-footer">
    	<!--Widgets Section-->
        <div class="widgets-section">
            <div class="auto-container">
            	<div class="row clearfix">
                <!--Big Column-->
                <div class="big-column col-md-12 col-sm-12 col-xs-12">
                    <div class="row clearfix">
                    
                        <!--Footer Column-->
                        <div class="footer-column col-md-4 col-sm-4 col-xs-12">
                            <!--About Widget-->
							' .
BOUCLE_abhtml_f1fdf51320483405d940e5c61ec2e8e8($Cache, $Pile, $doublons, $Numrows, $SP) .
'
                        </div>
                        
                        <!--Footer Column-->
                        <div class="footer-column col-md-4 col-sm-4 col-xs-12">
                            <!--Info Widget-->
                            <div class="footer-widget info-widget">
                            	<h2>Contact</h2>
                                <ul class="info-list">
                                	<li>Address<span>SAVE, GISAGARA , RWANDA</span></li>
                                    <li>Phone<span>+250 788 589 475 </span></li>
                                    <li>Email<span>infos.duhozanye@gmail.com</span></li>
                                </ul>
                            </div>
                        </div>                    
                        <!--Footer Column-->
                        <div class="footer-column col-md-4 col-sm-4 col-xs-12">
                            <!--Gallery Widget-->
                            <div class="footer-widget gallery-widget">
                            	<h2>Our Gallery</h2>
                                
                                <div class="widget-content">
                                    <div class="images-outer clearfix">
										' .
BOUCLE_imagehtml_f1fdf51320483405d940e5c61ec2e8e8($Cache, $Pile, $doublons, $Numrows, $SP) .
'
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                          
                </div>
            </div>
        </div>
        </div>
        
        <!--Footer Bottom-->
        <div class="footer-bottom">
        	<div class="auto-container">
            	<div class="logo">
                	<a href="' .
spip_htmlspecialchars(sinon($GLOBALS['meta']['adresse_site'],'.')) .
'/"><img src="' .
extraire_attribut(filtrer('image_graver', filtrer('image_reduire',
((!is_array($l = quete_logo('id_syndic', 'ON', "'0'",'', 0))) ? '':
 ("<img class=\"spip_logo spip_logos\" alt=\"\" src=\"$l[0]\"" . $l[2] .  ($l[1] ? " onmouseover=\"this.src='$l[1]'\" onmouseout=\"this.src='$l[0]'\"" : "") . ' />')),'250','*')),'src') .
'" alt="' .
_T('public|spip|ecrire:accueil_site') .
'"></a>
                </div>
                <ul class="social-icon-one">
                	<li><a href="#"><span class="fa fa-facebook"></span></a></li>
                    <li><a href="#"><span class="fa fa-twitter"></span></a></li>
                </ul>
                <div class="copyright">Copyright © 2017- 2025 </BOUCLE_annee></B_annee>. All rights reserved.</div>
            </div>
        </div>
        
    </footer>');

	return analyse_resultat_skel('html_f1fdf51320483405d940e5c61ec2e8e8', $Cache, $page, 'squelettes/inc/footer.html');
}
?>